import { default as ChangeCallback } from './ChangeCallback';
import { default as PageFetcher } from './PageFetcher';
import { default as SortDir } from './SortDir';
import { default as TableColumn } from './TableColumn';
interface StateProps {
    /**
     * The default page number
     */
    defaultPageNumber?: number;
    /**
     * The default sort key
     */
    defaultSortKey?: string;
    /**
     * The default sort direction
     */
    defaultSortDir?: SortDir;
    /**
     * A callback for when one of these information gets updated:
     * - current page number
     * - current sort key
     * - current sort direction
     */
    onChange?: ChangeCallback;
}
interface RruDataTableProps extends StateProps {
    /**
     * A function that fetches a page from where-ever your data might be, usually from an HTTP API.
     */
    pageFetcher: PageFetcher;
    /**
     * An array of column objects that determine how to render columns in the table
     */
    columns: TableColumn[];
    /**
     * The search params object
     */
    search?: any;
    /**  */
    pageSize?: number;
    /**
     * Message rendered when there is no data available
     */
    noDataLabel?: React.ReactNode;
    /**
     * Message rendered when there is an error
     */
    errorLabel?: React.ReactNode;
}
export default RruDataTableProps;
