export default interface RruTextInputProps {
    /**  */
    name: string;
    /**  */
    label?: React.ReactNode;
    /**  */
    requiredAsterisk?: boolean;
    /**  */
    isPassword?: boolean;
    /**
     *
     */
    onChange?: (value: string | null) => void;
    /**
     * Controls whether the input field is disabled or not
     */
    disabled?: boolean;
    /**
     * Text direction
     */
    dir?: 'ltr' | 'rtl' | 'auto';
    /**
     * A short hint that describes the expected value
     */
    placeholder?: string;
    /**
     * The maximum number of characters allowed
     */
    maxLength?: number;
    /**
     * Provides guidance to the browser as to the type of information expected in the field,
     * this could allow the browser to provide automated assistance in filling out the form field.
     * More info at [MDN Web Docs](https://developer.mozilla.org/en-US/docs/Web/HTML/Attributes/autocomplete)
     */
    autoComplete?: string;
    /**
     * The id of a <datalist> element located in the same document.
     * The <datalist> provides a list of predefined values to suggest to the user for this input.
     * The values provided are suggestions, not requirements: users can select from this predefined list or provide a different value.
     */
    list?: string;
}
