export default interface RruTextareaInputProps {
    /**  */
    name: string;
    /**  */
    label?: React.ReactNode;
    /**  */
    requiredAsterisk?: boolean;
    /**
     *
     */
    onChange?: (value: string | null) => void;
    /**
     * Controls whether the input field is disabled or not
     */
    disabled?: boolean;
    /**
     * A short hint that describes the expected value
     */
    placeholder?: string;
    /**
     * Text direction
     */
    dir?: 'ltr' | 'rtl' | 'auto';
    /**
     * The maximum number of characters allowed
     */
    maxLength?: number;
    /**
     * Provides guidance to the browser as to the type of information expected in the field,
     * this could allow the browser to provide automated assistance in filling out the form field.
     * More info at [MDN Web Docs](https://developer.mozilla.org/en-US/docs/Web/HTML/Attributes/autocomplete)
     */
    autoComplete?: string;
    /**
     * Specifies the visible number of lines in the textarea
     */
    rows?: number;
    /**
     * Specifies the visible width of the textarea
     */
    cols?: number;
    /**
     * Specifies how the text is to be wrapped when submitted in a form.
     * More info at [MDN Web Docs](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/textarea#attr-wrap)
     */
    wrap?: string;
}
