import { default as RruOption } from '../types/RruOption';
import { default as RruOptionsGroup } from '../types/RruOptionsGroup';
import { default as RruOptionsPropType } from '../types/RruOptionsPropType';
type AdditionalType = {
    page: number;
};
declare const isOptionsGroup: (option: RruOption | RruOptionsGroup) => option is RruOptionsGroup;
declare const findOptions: (optionsProp: RruOptionsPropType, optionsValues: string[]) => RruOption[];
declare const findOption: (optionsProp: RruOptionsPropType, optionValue: string) => RruOption | null;
/**
 * custom options loader to be used with react-select-async-paginate
 * this solves performance issues with large option lists
 */
declare const loadPageOptions: (allOptions: RruOptionsPropType) => (search: string, prevOptions: RruOptionsPropType, additional: AdditionalType) => Promise<{
    options: (RruOption | RruOptionsGroup)[];
    hasMore: boolean;
    additional: {
        page: number;
    };
}>;
export { findOption, findOptions, isOptionsGroup, loadPageOptions };
