declare const isObject: (val: any) => boolean;
declare const isArray: (val: any) => boolean;
declare const range: (from: number, to: number) => number[];
declare const rangeOfSize: (size: number, startAt?: number) => number[];
/**
 * Retains only the elements in the first array that are contained in the second array.
 * In other words, removes from the first array all of its elements that are not contained in the second array.
 * This method does not mutate its input arrays.
 *
 * @param firstArray
 * @param secondArray
 * @param comparator
 * @returns
 */
declare const retainAll: <T1, T2>(firstArray: T1[], secondArray: T2[], comparator: (obj1: T1, obj2: T2) => boolean) => T1[];
declare const isObjKey: <T extends object>(obj: T, key: any) => key is keyof T;
declare const resolveObjectAttribute: (path: string, obj: object) => any;
declare const deepEqual: (x: any, y: any) => boolean;
export { deepEqual, isArray, isObjKey, isObject, range, rangeOfSize, resolveObjectAttribute, retainAll };
